[
    {
        "Id": "cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b",
        "Created": "2025-06-09T16:21:36.411977994Z",
        "Path": "/init",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2364,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-07-23T23:55:34.471741409Z",
            "FinishedAt": "2025-07-23T23:54:56.531446701Z"
        },
        "Image": "sha256:f5883d6d765bd5a7ac36bf0baff3e8a9fadc497e15cdf7716dad34e8e3d3e9a3",
        "ResolvConfPath": "/var/lib/docker/containers/cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b/hostname",
        "HostsPath": "/var/lib/docker/containers/cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b/hosts",
        "LogPath": "/var/lib/docker/containers/cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b/cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b-json.log",
        "Name": "/code-server",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/home/jon/homelab/monitoring/code-server/config:/config:rw",
                "/home/jon/homelab/monitoring/projects:/config/workspace:rw",
                "/var/run/docker.sock:/var/run/docker.sock:ro"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {
                    "max-file": "3",
                    "max-size": "10m"
                }
            },
            "NetworkMode": "monitoring-net",
            "PortBindings": {
                "8443/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "8443"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 1073741824,
            "NanoCpus": 1000000000,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 2147483648,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [
                {
                    "Name": "nofile",
                    "Hard": 2048,
                    "Soft": 1024
                }
            ],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/9174a91cfba55e021606a61b9b24db72c6f4fa5e56196b7660a4f9490df5e2a8-init/diff:/var/lib/docker/overlay2/01ea97079b4dd2cc1c7968c850691fc1e53ac0be41030389f2b212b7063c4c47/diff:/var/lib/docker/overlay2/dc534f17514eef3eca708b89787bf6007a701775c6442ef7f24b0b628ab3609f/diff:/var/lib/docker/overlay2/031b3d77237b3f20516c361571eff941df1d736e86c6f63e260b957ff70bc42e/diff:/var/lib/docker/overlay2/b25ea751faeed7dc4d4bcf380c89869883c3ff0f7862182a7ecdeb366c48907f/diff:/var/lib/docker/overlay2/6f429ba0c01a9881afcd2940ab0c2b9cdd015f9458993796427f7a7271ac38b7/diff:/var/lib/docker/overlay2/015e517c44dfbaa14bbd6ab6cefb557934d71a194f1437a8747b58aa42da5e55/diff:/var/lib/docker/overlay2/2c35a9762b74e39d3ff89a8075b665d559cf38923ac535d82e398f8bff2a8f04/diff:/var/lib/docker/overlay2/cd50c51261df3b268d8ac8520ef5ecd9fab0da7ebd9d75e6b9026654e5942d11/diff:/var/lib/docker/overlay2/4b04ab4f4ed996ab1d63e33eeabcd56cd72026ffe063c0b24ecab8cda57333bb/diff:/var/lib/docker/overlay2/b58cf252cdff866b0a37b74c85775fc4474b8c607593954b8301af9e381e8fcb/diff",
                "MergedDir": "/var/lib/docker/overlay2/9174a91cfba55e021606a61b9b24db72c6f4fa5e56196b7660a4f9490df5e2a8/merged",
                "UpperDir": "/var/lib/docker/overlay2/9174a91cfba55e021606a61b9b24db72c6f4fa5e56196b7660a4f9490df5e2a8/diff",
                "WorkDir": "/var/lib/docker/overlay2/9174a91cfba55e021606a61b9b24db72c6f4fa5e56196b7660a4f9490df5e2a8/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/home/jon/homelab/monitoring/projects",
                "Destination": "/config/workspace",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "ro",
                "RW": false,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/home/jon/homelab/monitoring/code-server/config",
                "Destination": "/config",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "cc6d5deba429",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "8443/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PGID=1000",
                "TZ=America/New_York",
                "PASSWORD=homelab123",
                "SUDO_PASSWORD=homelab123",
                "PUID=1000",
                "PATH=/lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "HOME=/config",
                "LANGUAGE=en_US.UTF-8",
                "LANG=en_US.UTF-8",
                "TERM=xterm",
                "S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0",
                "S6_VERBOSITY=1",
                "S6_STAGE2_HOOK=/docker-mods",
                "VIRTUAL_ENV=/lsiopy",
                "LSIO_FIRST_PARTY=true"
            ],
            "Cmd": null,
            "Image": "lscr.io/linuxserver/code-server:latest",
            "Volumes": null,
            "WorkingDir": "/",
            "Entrypoint": [
                "/init"
            ],
            "OnBuild": null,
            "Labels": {
                "build_version": "Linuxserver.io version:- 4.100.3-ls279 Build-date:- 2025-06-07T20:23:42+00:00",
                "com.docker.compose.config-hash": "2b1259d2fbda63733d94abcbb13b1d74114656d0c3ff2142f688016c664ca5d2",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:f5883d6d765bd5a7ac36bf0baff3e8a9fadc497e15cdf7716dad34e8e3d3e9a3",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "monitoring",
                "com.docker.compose.project.config_files": "/home/jon/homelab/monitoring/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/homelab/monitoring",
                "com.docker.compose.service": "code-server",
                "com.docker.compose.version": "2.33.0",
                "maintainer": "aptalca",
                "org.opencontainers.image.authors": "linuxserver.io",
                "org.opencontainers.image.created": "2025-06-07T20:23:42+00:00",
                "org.opencontainers.image.description": "[Code-server](https://coder.com) is VS Code running on a remote server, accessible through the browser.  - Code on your Chromebook, tablet, and laptop with a consistent dev environment.  - If you have a Windows or Mac workstation, more easily develop for Linux.  - Take advantage of large cloud servers to speed up tests, compilations, downloads, and more.  - Preserve battery life when you're on the go.  - All intensive computation runs on your server.  - You're no longer running excess instances of Chrome.  ",
                "org.opencontainers.image.documentation": "https://docs.linuxserver.io/images/docker-code-server",
                "org.opencontainers.image.licenses": "GPL-3.0-only",
                "org.opencontainers.image.ref.name": "87f961f038b6213392fa7d06116c797851d60684",
                "org.opencontainers.image.revision": "87f961f038b6213392fa7d06116c797851d60684",
                "org.opencontainers.image.source": "https://github.com/linuxserver/docker-code-server",
                "org.opencontainers.image.title": "Code-server",
                "org.opencontainers.image.url": "https://github.com/linuxserver/docker-code-server/packages",
                "org.opencontainers.image.vendor": "linuxserver.io",
                "org.opencontainers.image.version": "4.100.3-ls279"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "658617fb44776d817cb5ac02854b0dffb329c6c9af64e93a6a78b29e06cd5a1e",
            "SandboxKey": "/var/run/docker/netns/658617fb4477",
            "Ports": {
                "8443/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "8443"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "8443"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "monitoring-net": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "code-server",
                        "code-server"
                    ],
                    "MacAddress": "02:42:ac:12:00:03",
                    "DriverOpts": null,
                    "NetworkID": "a8c08ace4629b810b1aef26214f36a44d41aa3e2dcc2a7f2df87da87cd118a05",
                    "EndpointID": "9e662ad47e2733cacb534f82b5a62da78055756f1648765e2b8ffcd435e153fe",
                    "Gateway": "172.18.0.1",
                    "IPAddress": "172.18.0.3",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "code-server",
                        "cc6d5deba429"
                    ]
                }
            }
        }
    }
]
